Subject: bug#17589: 24.3.91; lisp/frameset.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 May 2014 20:22:13 -0400

> Yep, that's the only way I see to solve this. That, or some horrible
> hack in frameset-to-register which I don't even want to start thinking
> about.

Or to always save window-state in a "non-writable" form, and then
provide a separate function to turn this into a writable form.  If we
can always know right from the start if we'll write the window-state,
then we don't need that, but if we may sometimes need a window-state
which we may or may not later write to a file, then a separate function
would be needed.

        Stefan